<div id="page-collection"
     class="page"
     v-show="page=='collection'"
     @contextmenu.prevent="collectionContextMenu">

    <% for (let category of config.client.categories) { %>
    <!-- <%= category.name %> -->
    <div class="section-title">
        <%= category.name %>
        <svg class="percent-circle" :style="'--percent:' + completion.items['<%= category.id %>'].percent +';'">
            <circle cx="15" cy="15" r="15"></circle>
            <circle cx="15" cy="15" r="15"></circle>
        </svg>
        <span>{{ completion.items['<%= category.id %>'].current }}/{{ completion.items['<%= category.id %>'].count }}</span>
    </div>
    <transition-group class="section list-group"
                      data-cid="<%= category.id %>"
                      name="fade" id="collection-<%= category.id %>"
                      tag="div"
                      title="Right click for more information.">
        
        <div v-for="(item, name) in data.items['<%= category.id %>']"
             v-show="item.search.includes(searchString)"
             :key="`item-${name}`"
             :data-iid="name"
             class="item <%= category.id %>-item <%= category.id %>-list-item <%= category.tile ? 'frame-item' : '' %>"
             :state="progression.items[name].item">

            <button :class="progression.items[name].item | partStateFilter"
                    :data-pid="name"
                    :style="{ backgroundImage: `url(../images/collection/${item.image})` }"
                    @click.prevent="itemClick">
                <% if (!category.tile) { %> {{ item.name }} <% } %>
            </button>

            <% if (category.tile) { %>
            <div class="item-title">
                {{ item.name }}
            </div>
            <% } %>
            
            <button v-for="(val, pname) in item.parts"
                    :class="progression.items[name].parts[pname] | partStateFilter"
                    :data-pid="pname"
                    @mousedown.prevent="partClick">
                {{ partNameExtend(pname) }}
            </button>
        </div>
        
    </transition-group>
    <!-- /<%= category.name %> -->
    <% } %>

</div>